summaryrefslogtreecommitdiffstats
path: root/source/n/obexftp
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/n/obexftp
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/n/obexftp')
-rwxr-xr-xsource/n/obexftp/obexftp.SlackBuild42
-rw-r--r--source/n/obexftp/patches/obexftp-0.24-fuse.patch35
-rw-r--r--source/n/obexftp/patches/obexftp-pkgconfig_requires.patch11
-rw-r--r--source/n/obexftp/slack-desc8
4 files changed, 40 insertions, 56 deletions
diff --git a/source/n/obexftp/obexftp.SlackBuild b/source/n/obexftp/obexftp.SlackBuild
index 13eba4bcd..cf3cd415b 100755
--- a/source/n/obexftp/obexftp.SlackBuild
+++ b/source/n/obexftp/obexftp.SlackBuild
@@ -1,5 +1,5 @@
-#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+#!/bin/bash
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -19,10 +19,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=obexftp
VERSION=${VERSION:-$(echo $PKGNAM-*-Source.tar.?z* | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +37,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -54,6 +62,9 @@ else
LIBDIRSUFFIX=""
fi
+PYTHONLIB=$( python -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+PYTHON3LIB=$( python3 -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())' )
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
@@ -71,9 +82,7 @@ find . \
# Thanks to Fedora for these
zcat $CWD/patches/obexftp-0.24-fix-absurd-install-path.patch.gz | patch -p1 || exit 1
-zcat $CWD/patches/obexftp-0.24-fuse.patch.gz | patch -p1 || exit 1
zcat $CWD/patches/obexftp-norpath.patch.gz | patch -p1 || exit 1
-zcat $CWD/patches/obexftp-pkgconfig_requires.patch.gz | patch -p1 || exit 1
mkdir -p build
cd build
@@ -89,6 +98,21 @@ cd build
make install DESTDIR=$PKG || exit 1
cd ..
+mkdir -p build-python2
+cd build-python2
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_DOCDIR=/usr/doc/$PKGNAM-$VERSION \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DPython_ADDITIONAL_VERSIONS=2.7 ..
+ cd swig/python
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ../../../
+
# Relocate man pages:
mv $PKG/usr/share/man $PKG/usr
rmdir $PKG/usr/share 2> /dev/null
@@ -108,6 +132,12 @@ fi
done
)
+# Generate .pyc files
+python -m compileall "${PKG}$PYTHONLIB"
+python -O -m compileall "${PKG}$PYTHONLIB"
+python3 -m compileall "${PKG}$PYTHON3LIB"
+python3 -O -m compileall "${PKG}$PYTHON3LIB"
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/n/obexftp/patches/obexftp-0.24-fuse.patch b/source/n/obexftp/patches/obexftp-0.24-fuse.patch
deleted file mode 100644
index 260cfc2d9..000000000
--- a/source/n/obexftp/patches/obexftp-0.24-fuse.patch
+++ /dev/null
@@ -1,35 +0,0 @@
-From 2cc82e0ab5a30eaab5461dcc4eed41b095edba3f Mon Sep 17 00:00:00 2001
-From: Hendrik Sattler <post@hendrik-sattler.de>
-Date: Sun, 11 Aug 2013 20:27:29 +0200
-Subject: [PATCH] Install fuse apps
-
----
- fuse/CMakeLists.txt | 7 ++++++-
- 1 files changed, 6 insertions(+), 1 deletions(-)
-
-diff --git a/fuse/CMakeLists.txt b/fuse/CMakeLists.txt
-index c31a5fc..7d5f7ea 100644
---- a/fuse/CMakeLists.txt
-+++ b/fuse/CMakeLists.txt
-@@ -14,7 +14,6 @@ if ( Fuse_FOUND )
- ${Fuse_LIBRARIES}
- )
-
--
- add_executable ( obexautofs
- obexautofs.c
- )
-@@ -23,4 +22,10 @@ if ( Fuse_FOUND )
- obexftp
- ${Fuse_LIBRARIES}
- )
-+
-+ install ( TARGETS obexfs obexautofs
-+ RUNTIME
-+ DESTINATION ${CMAKE_INSTALL_BINDIR}
-+ COMPONENT applications
-+ )
- endif ( Fuse_FOUND )
---
-1.7.1
-
diff --git a/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch b/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch
deleted file mode 100644
index ded4a5833..000000000
--- a/source/n/obexftp/patches/obexftp-pkgconfig_requires.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -71,7 +71,7 @@
- set ( exec_prefix "\${prefix}" )
- set ( libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}" )
- set ( includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}" )
--set ( REQUIRES "bluetooth openobex" )
-+set ( REQUIRES "bluez openobex" )
- configure_file (
- ${CMAKE_CURRENT_SOURCE_DIR}/obexftp.pc.in
- ${CMAKE_CURRENT_BINARY_DIR}/obexftp.pc
diff --git a/source/n/obexftp/slack-desc b/source/n/obexftp/slack-desc
index a90f0461b..8aa622a20 100644
--- a/source/n/obexftp/slack-desc
+++ b/source/n/obexftp/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
obexftp: obexftp (Access devices via ObexFTP, such as mobile phones)
obexftp:
obexftp: This package contains some command line tools and the ObexFTP
-obexftp: library. Using OpenOBEX it enables you to transfer data via IrDA,
+obexftp: library. Using OpenOBEX it enables you to transfer data via IrDA,
obexftp: Bluetooth, as well as some custom (Siemens, Ericsson) serial port
obexftp: protocols.
obexftp: